com.lowagie.text.rtf.parser.ctrlwords

## Class RtfCtrlWordType

- java.lang.Object
- - com.lowagie.text.rtf.parser.ctrlwords.RtfCtrlWordType

    public final class RtfCtrlWordType
    extends java.lang.Object

`RtfCtrlWordType` indicates the type of control word. RTF control words are divided up into: Destination, Flag, Value, Toggle, Symbol. Destination: The current destination for values and text to be sent. Flag: 0/1 value types. Represents true/false, on/off value types. Toggle: Flips a Flag value on/off. Value: an Integer value data type. (Exception: Some control words this is a long data value type) Symbol: Special RTF characters such as \{, \} and others.

Since:
  2.0.8
Author:
  Howard Shank (hgshank@yahoo.com)

### Field Summary

Fields
`static int` `DESTINATION` Control word is a destination.
`static int` `DESTINATION_EX` Control word is a newer destination.
`static int` `FLAG` Control word is a flag.
`static int` `SYMBOL` Control word is a special symbol.
`static int` `TOGGLE` Control word is a flag toggle.
`static int` `UNIDENTIFIED` Control word is unidentified.
`static int` `VALUE` Control word is a value.

### Constructor Summary

Constructors
Constructor and Description
`RtfCtrlWordType()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNIDENTIFIED

    public static final int UNIDENTIFIED

Control word is unidentified.

See Also:
  Constant Field Values

#### DESTINATION

    public static final int DESTINATION

Control word is a destination.

See Also:
  Constant Field Values

#### DESTINATION_EX

    public static final int DESTINATION_EX

Control word is a newer destination.

See Also:
  Constant Field Values

#### FLAG

    public static final int FLAG

Control word is a flag.

See Also:
  Constant Field Values

#### VALUE

    public static final int VALUE

Control word is a value.

See Also:
  Constant Field Values

#### TOGGLE

    public static final int TOGGLE

Control word is a flag toggle.

See Also:
  Constant Field Values

#### SYMBOL

    public static final int SYMBOL

Control word is a special symbol.

See Also:
  Constant Field Values

### Constructor Detail

#### RtfCtrlWordType

    public RtfCtrlWordType()